import { TextVO } from './text.vo';

describe('Text VO', () => {
    
    test('Should create a new valid post text', () => {
        const text = (TextVO.create('Bacon ipsum dolor amet cillum ex filet mignon jowl ut culpa in ea ut do bacon capicola ball tip. Culpa corned beef beef, hamburger nisi incididunt porchetta commodo exercitation swine kevin sausage dolore id flank. Rump ipsum drumstick porchetta anim occaecat kevin culpa esse landjaeger frankfurter sed quis consectetur filet mignon. Deserunt pork loin meatloaf venison, nisi esse ground round proident andouille cillum incididunt landjaeger prosciutto. Prosciutto alcatra nulla id consectetur pig. Sunt chicken ground round capicola chuck.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.')).value;
        console.log(text);
        expect(text).toBe('Bacon ipsum dolor amet cillum ex filet mignon jowl ut culpa in ea ut do bacon capicola ball tip. Culpa corned beef beef, hamburger nisi incididunt porchetta commodo exercitation swine kevin sausage dolore id flank. Rump ipsum drumstick porchetta anim occaecat kevin culpa esse landjaeger frankfurter sed quis consectetur filet mignon. Deserunt pork loin meatloaf venison, nisi esse ground round proident andouille cillum incididunt landjaeger prosciutto. Prosciutto alcatra nulla id consectetur pig. Sunt chicken ground round capicola chuck.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.');
        expect(() => {text;}).not.toThrowError('A text should be at least 50 words long.');
        expect(() => {text;}).not.toThrowError('A post should not exceed 500 words');
    });

    test('Should throw a validation error', () => {
        const bacon = 'Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat.';
        expect(() => TextVO.create(bacon)).toThrowError('A post should be at least 50 words long');
    });

    test('Should throw a validation error', () => {
        const moreBacon = 'Bacon Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage. Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage. Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage. Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage.ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage. Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage. Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage. Bacon ipsum dolor amet quis prosciutto aute cupim ea ground round corned beef pariatur labore shoulder dolore occaecat. Drumstick tail buffalo, rump ullamco short ribs chuck velit short loin eiusmod pig swine filet mignon. Kielbasa ad andouille, ut spare ribs cupidatat turkey frankfurter pancetta kevin. Fugiat meatball consequat dolore, filet mignon ham exercitation eiusmod ullamco nostrud pork belly beef. Brisket dolore dolor nostrud flank prosciutto pork chop pancetta jowl tri-tip swine qui aliqua corned beef. Commodo porchetta ham hock sausage.';
        expect(() => TextVO.create(moreBacon)).toThrowError('A post should not exceed 500 words');
    });
});